# Sign Up for a Customer Account Creates a new customer account that can be used for storing payment methods, delivery addresses and past orders. Endpoint: POST /v2/customer/signup Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Request fields (application/json): - `email` (string, required) The email addressed used when the customer signed up for an account. Must a valid RFC email address. - `password` (string, required) Password to be used to log into the customer account. - `firstName` (string, required) The customer's first name. - `lastName` (string, required) The customer's last name. - `phoneNumber` (string) The customer's phone number. Must be a valid phone number under the North American Numbering Plan. Must be formatted as a string of 10 digits. - `orderId` (string) The id of the order that was just placed by an anonymous guest. If specified, the new customer account will save this order to its order history. ## Response 200 fields (application/json): - `message` (string, required) A message informing the customer about any next steps, such as having to check their email in order to verify their account. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields